Issue 9942

Title
Wrong quantity in Product Quantities By Warehouse
Priority
bug
Status
resolved
Nosy list
ced, reviewbot, roundup-bot
Assigned to
ced
Keywords
backport, review

Created on 2020-12-15.15:02:38 by ced, last changed 4 days ago by roundup-bot.

Messages

New changeset 88da7f619654 by Cédric Krier in branch 'default':
Remove assert on date different from date_start
https://hg.tryton.org/tryton-env/rev/88da7f619654
New changeset c9582871ec46 by Cédric Krier in branch 'default':
Remove assert on date different from date_start
https://hg.tryton.org/modules/stock/rev/c9582871ec46
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2021-01-06.13:04:45

I re-open it because the assert introduced is wrong because it fails if there are two consecutive dates (see msg63781).

New changeset c179cceebc3c by Cédric Krier in branch 'default':
Ensure dates are unique
https://hg.tryton.org/tryton-env/rev/c179cceebc3c
New changeset fd2a67c576f3 by Cédric Krier in branch 'default':
Ensure dates are unique
https://hg.tryton.org/modules/stock/rev/fd2a67c576f3
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2020-12-15.15:02:38

The quantity computed by "Product Quantities By Warehouse" can be wrong if the first move of the product is today. This is because we always add a fake record on today and the quantity computation based on delta requires that dates are ordered by also unique.
In our case there will be two computation for today, the first one is right bu the second will be with start=today and end=today so it overrides the computation with zero.

History
Date User Action Args
2021-01-17 00:52:53roundup-botsetmessages: + msg63919
2021-01-17 00:52:50roundup-botsetmessages: + msg63918
status: testing -> resolved
2021-01-06 13:48:18cedsetstatus: in-progress -> testing
2021-01-06 13:23:12reviewbotsetmessages: + msg63791
2021-01-06 13:23:12reviewbotsetreviews: 343181002 -> 343181002, 339541002
2021-01-06 13:04:45cedsetmessages: + msg63789
status: resolved -> in-progress
2020-12-23 21:31:17roundup-botsetmessages: + msg63593
2020-12-23 21:31:10roundup-botsetmessages: + msg63592
nosy: + roundup-bot
status: testing -> resolved
2020-12-23 21:29:22cedsetkeyword: + backport
2020-12-15 18:59:30cedlinkissue9944 superseder

Showing 10 items. Show all history (warning: this could be VERY long)